summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Hammill <mike@kth.se>2011-09-06 21:55:38 +0200
committerMike Hammill <mike@kth.se>2011-09-06 21:55:38 +0200
commit2c4854876ca87aed506e179fc7f03260585aa202 (patch)
tree4009711c87b8b662806af2989a441300fe6a3259 /app-portage/update
parentModify pychecker 0.8.18 ebuild to work with pychecker 0.8.19. (diff)
downloadmhammill-2c4854876ca87aed506e179fc7f03260585aa202.tar.gz
mhammill-2c4854876ca87aed506e179fc7f03260585aa202.tar.bz2
mhammill-2c4854876ca87aed506e179fc7f03260585aa202.zip
Add Weaver Projects' "update" script.
The script has recently been turned into an ebuild, but does not yet reside in an overlay. For more, see + http://forums.gentoo.org/viewtopic-t-546828-postdays-0-postorder-asc-start-0.html + http://weaver.gentooexperimental.org/update-dl-install.html + https://weaver.gentooexperimental.org/trac/update
Diffstat (limited to 'app-portage/update')
-rw-r--r--app-portage/update/Manifest3
-rw-r--r--app-portage/update/update-20110805.ebuild30
-rw-r--r--app-portage/update/update-9999.ebuild32
3 files changed, 65 insertions, 0 deletions
diff --git a/app-portage/update/Manifest b/app-portage/update/Manifest
new file mode 100644
index 0000000..20a13f4
--- /dev/null
+++ b/app-portage/update/Manifest
@@ -0,0 +1,3 @@
+DIST update-20110805.tar.bz2 103829 RMD160 fc42fbf563d75e9a12ed18ed727119420fdd510b SHA1 b009c705dea21d6332e81411cda19e4864b96576 SHA256 174c86864300c1b94054d78df769bcdf8d46ea0070242e0b877f7dcbe6277439
+EBUILD update-20110805.ebuild 708 RMD160 5a5eb599627463ed8aeb26cee6f42a9facf724f4 SHA1 a9f53dec7287bcbf1c6bd77115d46da411feef88 SHA256 5fb1797851b7454839c0fd4addf4787005e9ffb77101d00bf0e265983fcbc9e4
+EBUILD update-9999.ebuild 707 RMD160 65b0cc1fee112c27db146d80b5d910812b0bcec4 SHA1 326d08efd86c15b709554a8621f529f1324932d5 SHA256 e8bb6d40cafb11f12afc8f3b23273a12428bf332ea72ae7f07bcf51121a09ce3
diff --git a/app-portage/update/update-20110805.ebuild b/app-portage/update/update-20110805.ebuild
new file mode 100644
index 0000000..837e62e
--- /dev/null
+++ b/app-portage/update/update-20110805.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="A most excellent portage wrapper"
+HOMEPAGE="http://weaver.gentooexperimental.org/update.html"
+SRC_URI="http://weaver.gentooexperimental.org/src/update/update-${PV}.tar.bz2"
+RESTRICT="mirror"
+
+LICENSE="CCPL-Attribution-ShareAlike-NonCommercial-3.0"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">app-shells/bash-3.1
+ sys-apps/ed
+ dev-util/dialog
+ app-portage/portage-utils
+ app-portage/gentoolkit
+ net-misc/curl"
+
+
+src_install() {
+ insinto /etc || die
+ doins warning || die
+ insinto /usr || die
+ dosbin update || die
+ dolib libIgli || die
+}
diff --git a/app-portage/update/update-9999.ebuild b/app-portage/update/update-9999.ebuild
new file mode 100644
index 0000000..8e913d4
--- /dev/null
+++ b/app-portage/update/update-9999.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit git-2
+
+DESCRIPTION="A most excellent portage wrapper"
+HOMEPAGE="http://weaver.gentooexperimental.org/update.html"
+EGIT_REPO_URI="git://weaver.gentooexperimental.org/update.git"
+RESTRICT="mirror"
+
+LICENSE="CCPL-Attribution-ShareAlike-NonCommercial-3.0"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">app-shells/bash-3.1
+ sys-apps/ed
+ dev-util/dialog
+ app-portage/portage-utils
+ app-portage/gentoolkit
+ net-misc/curl"
+
+
+src_install() {
+ insinto /etc || die
+ doins warning || die
+ insinto /usr || die
+ dosbin update || die
+ dolib libIgli || die
+}